Retrieve a computation's details
curl --request GET \
--url https://{host}/mealvoucher/api/computations/{computationId}/details \
--header 'Authorization: <authorization>'import requests
url = "https://{host}/mealvoucher/api/computations/{computationId}/details"
headers = {"Authorization": "<authorization>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<authorization>'}};
fetch('https://{host}/mealvoucher/api/computations/{computationId}/details', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"user": {
"id": 7
},
"deliveredMealVouchers": 17
},
{
"user": {
"id": 8
},
"deliveredMealVouchers": 17
},
{
"user": {
"id": 12
},
"deliveredMealVouchers": 21
},
{
"user": {
"id": 15
},
"deliveredMealVouchers": 21
},
{
"user": {
"id": 16
},
"deliveredMealVouchers": 21
},
{
"user": {
"id": 47
},
"deliveredMealVouchers": 21
}
]
}Computation
Retrieve a computation's details
A computation’s details indicate the number of meal voucher to be given to each employee subject to the applicable statutory.
GET
/
mealvoucher
/
api
/
computations
/
{computationId}
/
details
Retrieve a computation's details
Headers
API key. Value must be formatted like so: lucca application={api_key}.
Path Parameters
Unique identifier of the computation
Query Parameters
fields is used to select specific properties
Available options:
user, deliveredMealVouchers Page size
Required range:
1 <= x <= 10Return total items count (across all pages).
Available options:
prev, next, count Response
OK
Show child attributes
Show child attributes
Was this page helpful?